/************************************************************************/
/* Copyright 200-2012 MBARI												*/
/************************************************************************/
/* Summary	: Definitions for BEDS commands								*/
/* Filename : bedsCmd.h													*/
/* Author	: Robert Herlien (rah)										*/
/* Project	: Benthic Event Detection System (BEDS)						*/
/* Revision : 1.0														*/
/* Created	: 09/17/2012													*/
/*																			*/
/* MBARI provides this documentation and code "as is", with no warranty,	*/
/* express or implied, of its quality or consistency. It is provided without*/
/* support and without obligation on the part of the Monterey Bay Aquarium	*/
/* Research Institute to assist in its use, correction, modification, or	*/
/* enhancement. This information should not be published or distributed to	*/
/* third parties without specific written permission from MBARI.			*/
/*																			*/
/************************************************************************/
/* Modification History:												*/
/* 17sep2012 rah - created from Persistor "toPico" stationery and Oasis */
/* $Log$
*/
/************************************************************************/

#ifndef INCbedsCmdh
#define INCbedsCmdh		1

#include <beds.h>

typedef enum {ZMODEM, KERMIT, YMODEM}  SendProtocol;


/****************************************/
/* Function Declarations				*/
/****************************************/

CmdRtn	quitCmd(int argc, char **argv);
CmdRtn	resetCmd(int argc, char **argv);
CmdRtn	recoverCmd(int argc, char **argv);
CmdRtn	syslogCmd(int argc, char **argv);
CmdRtn	analogCmd(int argc, char **argv);
CmdRtn	timeCmd(int argc, char **argv);
#if 0
CmdRtn	EventCmd(int argc, char **argv);
CmdRtn	WatchCmd(int argc, char **argv);
CmdRtn	DecimateCmd(int argc, char **argv);
CmdRtn	DeployCmd(int argc, char **argv);
CmdRtn	SysRecCmd(int argc, char **argv);
CmdRtn	YSWCmd(int argc, char **argv);
CmdRtn	ZSCmd(int argc, char **argv);
#endif
#ifdef DEBUG_TIME
CmdRtn	timeTestCmd(int argc, char **argv);
CmdRtn	durTestCmd(int argc, char **argv);
#endif

#endif	/* INCbedsCmdh */
